Pamcut-Benutzerhandbuch(1)

BEZEICHNUNG
pamcut - wählt ein Rechteck aus einem PAM-, PBM-, PGM- oder PPM-Bild aus

ÜBERSICHT

pamcut

[-left Spaltennummer]

[-right Spaltennummer]

[-top Zeilennummer]

[-bottom Zeilennummer]

[-width Spalten]

[-height Zeilen]

[-pad]

[-cropleft Spaltenanzahl]

[-cropright Spaltenanzahl]

[-croptop Zeilenanzahl]

[-cropbottom Zeilenanzahl]

[-reportonly]

[-verbose]

[Links Oben Breite Höhe]

[PNM-Datei]

Optionen können auf ihren kürzesten eindeutigen Präfix abgekürzt werden. Sie können zur Kennzeichnung von Optionen auch zwei anstatt nur eines Bindestrichs verwenden. Sie können den Namen der Option und ihren Wert durch Leerzeichen anstatt eines Gleichheitszeichens trennen.

BESCHREIBUNG

Dieses Programm ist Teil von netpbm(1).

pamcut liest ein PAM-, PBM-, PGM- oder PPM-Bild als Eingabe und extrahiert das angegebene Rechteck. Es erzeugt ein Bild vom Typ des Eingabebildes als Ausgabe.

Sie können das auszuschneidende Rechteck angeben und behalten. Alternativ können Sie die abzuschneidenden und zu entfernenden Kanten angeben. Eine Kombination beider Angaben ist ebenfalls möglich.

Um zu fordern, dass Kanten abgeschnitten werden, verwenden Sie die Optionen -cropleft, -cropright, -croptop und -cropbottom um anzugeben, wie viele Zeilen oder Spalten abzuschneiden sind.

Zum Beispiel bedeutet -cropleft=50 -cropright=200, dass auf der linken Seite 50 und auf der rechten Seite 200 Spalten abgeschnitten werden.

Um das zu behaltende Rechteck anzugeben, verwenden Sie die Optionen -left, -right, -top, -bottom, -width, -height und -pad.

Zum Beispiel bedeutet -left=50 -right=200, dass die 151 Spalten zwischen Spalte 50 bis einschließlich Spalte 200 behalten werden.

Sie können jede Kombination dieser Optionen verwenden. Bei fehlenden Angaben werden Vorgabewerte verwandt. Diese Vorgaben favorisieren das kleinstmögliche Abschneiden und das Abschneiden der rechten und unteren Kante. Es ist ein Fehler, zu viel anzugeben, d.h. alle drei der Optionen -left, -right und -width oder auch -top, -bottom und -height. Die gleichzeitige Angabe von right und -cropright ist ebenfalls unzulässig.

Es gibt eine frühere Art, das zu behaltende Rechteck anzugeben, und zwar mittels nach Position geordneten Argumenten. Vor Juli 2000 waren Argumente die einzige verfügbare Methode, Sie sollten sie aber nicht in neuen Anwendungen verwenden. Optionen sind leichter zu behalten und zu lesen. Sie sind ausdrucksstärker und erlauben es, Vorgabewerte zu verwenden.

Wenn Sie Optionen und Argumente gleichzeitig verwenden, werden die beiden Angaben auf eine nicht vorhersehbare Art vermischt.

Um Argumente zu verwenden, geben Sie alle vier Argumente Links, Oben, Breite und Höhe an. Links und Oben haben gleiche Bedeutung, als wenn sie als Argumente der Optionen -left beziehungsweise -top angegeben wären. Wenn Breite und Höhe positiv sind, haben sie gleiche Bedeutung, als wenn sie als Argumente der Optionen -width beziehungsweise -height angegeben wären. Sind sie negativ, dann haben sie die gleiche Bedeutung, als wenn sie abzüglich eins als Argumente von -right beziehungsweise -bottom angegeben wären. (Beispielsweise bewirkt Breite = 0, dass alles bis zur rechten Kante abgeschnitten wird). Vor Juli 2000 waren negative Werte für Breite und Höhe nicht erlaubt.

Wenn Sie keine Eingabedatei PNM-Datei angeben, wird von der Standardeingabe gelesen.

Die Ausgabe erfolgt auf die Standardausgabe.

pamcut funktioniert auch mit einem Strom aus mehreren Bildern. Dazu bearbeitet es alle Bilder unabhängig voneinander und erzeugt als Ausgabe einen Strom aus mehreren Bildern. Vor Netpbm 10.32 (März 2006) wurde nur das erste Bild aus dem Strom bearbeitet.

Wenn Sie ein einzelnes Bild in mehrere gleichgroße Bilder aufteilen wollen, ist pamdice(1) schneller und einfacher zu verwenden, als pamcut mehrfach aufzurufen.

pamcomp(1) ist ebenfalls hilfreich, um ein Bild zu zerschneiden und auf eine bestimmte Größe aufzufüllen. Dazu erzeugen Sie ein Hintergrundbild mit den gewünschten Abmessungen und überlagern darauf das zu bearbeitende Bild.

OPTIONEN

Zusätzlich zu den Optionen, die alle auf libnetpbm-basierenden Programme gemeinsam haben (insbesondere -quiet, siehe gemeinsame Optionen (index.html#commonoptions) ), akzeptiert pamcut die folgenden Befehlszeilenoptionen:

-left=Spaltennummer
    Die Nummer der Spalte ganz links, die gerade noch in der Ausgabe erscheint. Spalten links davon werden abgeschnitten. Ist diese Nummer nicht negativ, so bezieht sie sich auf die Spalten mit der Nummerierung von 0 auf der linken Seite und nach rechts zunehmend. Ist sie negativ, so bezieht sie sich als Spalte mit der Nummerierung von -1 auf der rechten Seite und nach links abnehmend.

-right=Spaltennummer
    Die Nummer der Spalte ganz rechts, die gerade noch in der Ausgabe erscheint. Die Nummerierung ist analog zu -left. Spalten rechts davon werden abgeschnitten.

-top=Zeilennummer
    Die Nummer der Zeile ganz oben, die gerade noch in der Ausgabe erscheint. Zeilen oberhalb davon werden abgeschnitten. Ist diese Nummer nicht negativ, so bezieht sie sich auf die Zeilen mit der Nummerierung von 0 auf der oberen Seite und nach unten zunehmend. Ist sie negativ, so bezieht sie sich als Zeile mit der Nummerierung von -1 auf der unteren Seite und nach oben abnehmend.

-bottom=Zeilennummer
    Die Nummer der Zeile ganz unten, die gerade noch in der Ausgabe erscheint. Die Nummerierung ist analog zu -top. Zeilen unterhalb davon werden abgeschnitten.

-width=Spalten
    Die Anzahl der Spalten in der Ausgabe. Der Wert muss positiv sein.

-height=Zeilen
    Die Anzahl der Zeilen in der Ausgabe. Der Wert muss positiv sein.

-cropleft

-cropright

-croptop

-cropbottom
    Diese Optionen geben an, wie viele Zeilen oder Spalten von der linken, der rechten, der oberen beziehungsweise der unteren Kante abgeschnitten werden.

    Der Wert darf nicht negativ sein.

    Diese Optionen sind in Netpbm 10.85 (Dezember 2018) hinzugekommen. Davor konnten Sie das gleiche mittels -left, -top und negativen Werten für -right und -bottom erreichen. Denken Sie daran, im zweiten Fall eins zu subtrahieren. Beispielsweise entspricht -cropright=1 -right=2.

-pad
    Wenn das von Ihnen angegebene Rechteck nicht ganz innerhalb des Eingabebildes ist, schlägt pamcut fehl, wenn Sie nicht zusätzlich -pad angeben. In diesem Fall füllt pamcut die Ausgabe mit Schwarz bis zu den von Ihnen angegebenen Kanten auf. Sie können diese Option verwenden, wenn Sie ein Bild mit bestimmten Abmessungen benötigen, aber ein Bild mit beliebigen Abmessungen haben.

    pnmpad(1) fügt zusätzlich Begrenzungen an ein Bild an, allerdings ist deren Breite direkt anzugeben.

    pamcomp(1) führt eine allgemeinere Art dieses Auffüllens durch. Sie erzeugen ein Hintergrundbild mit den gewünschten Abmessungen und überlagern darauf das zu bearbeitende Bild. Sie können Optionen verwenden, um das zu bearbeitende Bild im Rahmen zentriert oder an einer beliebigen Kante zu positionieren und das Auffüllen mit einer beliebigen Farbe durchzuführen (die Farbe zum Auffüllen ist die Farbe des Hintergrundbildes).

-reportonly
      Dies bewirkt, dass pamcut eine Beschreibung des Ausschneidens auf
      die Standard-Ausgabe schreiben würde, anstatt ein Ausgabebild zu
      erzeugen. Siehe

    unten (#reportonly) für eine Beschreibung dieser Ausgabe und Arten,
      sie zu verwenden.

    Diese Beschreibung ist eine Textzeile, die acht durch Leerzeichen getrennt
      Dezimalzahlen enthält, die die Anzahl von Pixeln angeben:

•   Nummer der Spalte, an der von links abgeschnitten wird

•   Nummer der Spalte, an der von rechts abgeschnitten wird

•   Nummer der Zeile, an der von oben abgeschnitten wird

•   Nummer der Zeile, an der von unten abgeschnitten wird

•   Breite des Eingabebildes

•   Höhe des Eingabebildes

•   Breite des Ausgabebildes

•   Höhe des Ausgabebildes

    Die Spaltennummer des linken Ausschnitts ist die Nummer der Spalte im Eingabebild, die der ganz linken Spalte des Ausgabebildes entspricht. Im Falle des Schnittes an der rechten Kante ist es die Spalte ganz rechts, die gerade noch in der Ausgabe erscheint. Oben und unten sind dazu analog.

    Wenn Sie -pad angegeben haben, dürfen die Zeilen- und Spaltennummern negativ sein. Dann füllt pamcut die Ausgabe entsprechend auf. Genauso können sie die rechte oder die untere Kante des Eingabebildes überschreiten.

    Beispiel:

          10 109 -1 98 150 80 100 100

    Diese Option ist in Netpbm 11.06 (März 2024) hinzugekommen.

-verbose
    Gibt Ausgaben über die Verarbeitung auf der Standardfehlerausgabe aus.

SIEHE AUCH
pnmcrop(1), pamdice(1), pamcomp(1), pnmpad(1), pamcat(1), pgmslice(1), pnm(1)

GESCHICHTE

pamcut wurde in Netpbm 9.20 (Mai 2001) von pnmcut(1) abgeleitet. Es war das erste Netpbm-Programm, das an das neue PAM-Format und die neue PAM-Programm-Bibliothek angepasst wurde.

Der Vorgänger pnmcut(1) war eines der ältesten Werkzeuge in dem Netpbm-Paket.

AUTOR

Copyright © 1989 Jef Poskanzer.

URSPRUNG DES DOKUMENTS
Diese Handbuchseite wurde vom Netpbm-Werkzeug »makeman« aus der HTML-Quelle erstellt. Das Hauptdokument befindet sich unter

    http://netpbm.sourceforge.net/doc/pamcut.html

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Christoph Brinkhaus <c.brinkhaus@t-online.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.